<?php
/*
Plugin Name: Dashboard Quotes Display
Plugin URI: http://infinituminnovation.com/Projects/Dashboard-Quotes/
Description: When activated, this plugin will randomly display quotes on every page of your user dashboard. Based on the plugins "Hello Dolly" by Matt Mullenweg and "Stargate Quotes" by pgrytdal.
Author: Infinitum Innovation
Version: 1.1
Author URI: http://www.infinituminnovation.com/

**************************************************************************

Copyright (C) 2023 Infinitum Innovation

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.


****************************************************************************/
function get_my_quote() {
        // Here we will get the quote from the txt file hosted on Infinitum Innovations Website
$quotes = file_get_contents('http://www.infinituminnovation.com/quotes.txt', true)
;

        // Here we split it into lines, each quote is hosted on it's own line for simplicity
        $quotes = explode( "\n", $quotes );

        // And then randomly choose a line, pretty simple really, just choose a quote at random
        return wptexturize( $quotes[ mt_rand( 0, count( $quotes ) - 1 ) ] );  
}

// This just echoes the chosen line, we'll position it later
function display_my_quote() {
        $chosen = get_my_quote();
        echo "<p id='quote'>$chosen</p>";
}

// Now we set that function up to execute when the admin_notices action is called
add_action( 'admin_notices', 'display_my_quote' );

// We need some CSS to position the paragraph
function my_quote_css() {
        // This makes sure that the positioning is also good for right-to-left languages if you're having positioning issues, let me know please, or just feel free to adjust your position by hand, just keep in mind that changes you make will be overwitten if and when there is an update.
        $x = is_rtl() ? 'left' : 'right';

        echo "
        <style type='text/css'>
        #quote {
                padding-$x: 15px;
                padding-top: 5px;
                margin: 0;
                font-size: 11px;
        }
        </style>
        ";
}

add_action( 'admin_head', 'my_quote_css' );
?>